VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig Class Reference

`Timesync.TimeSyncConfig` class Structure defining time synchronization configuration. More...

List of all members.

## Public Member Functions
| TimeSyncConfig ()
| Creates a default new instance.
vmware.appliance.techpreview.TimesyncTypes.TimeSyncMode | GetMode ()
| Time synchronization mode.
void | SetMode (vmware.appliance.techpreview.TimesyncTypes.TimeSyncMode mode)
| Time synchronization mode.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Timesync.TimeSyncConfig` class Structure defining time synchronization configuration.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::TimeSyncConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::GetHashCode | ( |  | ) | `[inline]`

vmware.appliance.techpreview.TimesyncTypes.TimeSyncMode vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::GetMode | ( |  | ) | `[inline]`

Time synchronization mode.

Mode can have one of the TimeSyncMode enumeration values.

void vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::SetMode | ( | vmware.appliance.techpreview.TimesyncTypes.TimeSyncMode | mode | ) | `[inline]`

Time synchronization mode.

Mode can have one of the TimeSyncMode enumeration values.

override string vmware::appliance::techpreview::TimesyncTypes::TimeSyncConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TimesyncTypes.cs